// Copyright (c) 1995, 1996 Regents of the University of California.
// All rights reserved.
//
// This software was developed by the Arcadia project
// at the University of California, Irvine.
//
// Redistribution and use in source and binary forms are permitted
// provided that the above copyright notice and this paragraph are
// duplicated in all such forms and that any documentation,
// advertising materials, and other materials related to such
// distribution and use acknowledge that the software was developed
// by the University of California, Irvine.  The name of the
// University may not be used to endorse or promote products derived
// from this software without specific prior written permission.
// THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
// IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
// WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

// File: ExamplePalette.java
// Classes: ExamplePalette
// Original Author: jrobbins@ics.uci.edu
// $Id: PaletteExample.java,v 1.4 1997/01/04 00:27:10 jrobbins Exp $

package uci.graphedit;

import java.awt.*;
import java.util.*;

/** A class to define the left hand column of buttons in the Example
 * application. Right now it just has one kind of node.
 *
 * @see Example */

public class PaletteExample extends Palette {

  /** The class for the NetNode's to make when the user clicks the
   * SampleNode button. */
  static final String SampleNodeCLASS = "uci.graphedit.SampleNode";

  /** Construct a new palette of example nodes for the Example application */
  public PaletteExample() { super(2, 1, "Example"); }


  /** Define a button to make for the Example application */
  public Vector defineButtons() {
    Vector v = new Vector();
    Action addSampleNode = new ActionCreateNode(SampleNodeCLASS, null, false);
    v.addElement(new ActiveButton("Sample Node", addSampleNode));
    return v;
  }


} /* end class PaletteExample */






